Bug 112751 - Un-able to load colormap of window with 8-bit Pseudo transparent visual overlayed on 24-bit True color planes
Un-able to load colormap of window with 8-bit Pseudo transparent visual overl...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: X11R6-contrib (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-30 10:24 EST by Scott Carter
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Carter 2003-12-30 10:24:38 EST
Description of problem:
The nVidia Quadro4 and FX series boards support the capability of 
placing a 8-bit pseudo color overlay window with transparency over a 
24-bit true color window. The X windows environment has been setup to 
enable the 8-bit overlay planes with transparency and the 24-bit true 
color “underlay” planes.

A program has been created which opens two windows, one into the 
overlay planes and one into the 24-bit true color planes. The correct 
visuals are search for, selected and used to open the respect 
windows.  The capability seems to exist (supported by the board) 
since the overlay window can see through the desktop to the nVidia 
logo residing the in the 24-bit true color. 

The first problem is that the 8-bit color table will not load new 
colors (they only contain black and a few grays).
A second problem exists in that the true color window will not allow 
the drawing of any colors at all.

I am hoping for any type of help. Any type of test program which 
exercises this capability. I will gladly supply you with my program 
if that would be easier.

Thank you very much for your time.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Open the X display
2. Obtain VisualInfo and select a 24-bit true visual
3. Obtain Overlay information, match info to visuals and select an 8 
bit Pseudo visual with transparency.
4. Create color map for overlay window and load some colors.
5. Open an application shell with the 24-bit true visual
6. Open an application shell with the 8-bit transparent overlay visual
7. Clear each window to 0 (in my case 0 is the transparent color)
8. Draw colored rectangles into each window    

  
Actual results:
- The correct visuals are selected.
- Both the 24-bit true and 8-bit overlay windows open.
- The overlay window can see through the desktop to the nVidia logo 
residing the in the 24-bit true color.
- Drawing of 256 (8bits) colored rectangles results in all black with 
~5 grays.
- Drawing to the 24-bit window results in a BadMatch error.


Expected results:
Windows open as stated above.
The overlay would have 256 colored rectangles representing the colors 
loaded.
The 24-bit true window would have a pattern of the 16M colors 
possible via true color visual.


Additional info:
XF86Config:
Option "CIOverlay" True
Option "OverlayDefaultVisual" True
Comment 1 Bill Nottingham 2006-08-04 23:03:43 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:25:42 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.